Skip site navigation (1)Skip section navigation (2)
Date:      Sat, 25 May 2019 04:15:48 +0000 (UTC)
From:      Gordon Tetlow <gordon@FreeBSD.org>
To:        src-committers@freebsd.org, svn-src-user@freebsd.org
Subject:   svn commit: r348264 - user/cperciva/freebsd-update-build/scripts
Message-ID:  <201905250415.x4P4FmYX051665@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: gordon
Date: Sat May 25 04:15:48 2019
New Revision: 348264
URL: https://svnweb.freebsd.org/changeset/base/348264

Log:
  Only fetch the iso (and hence overwrite) if the file isn't already there.
  
  This allows us to drop the iso in the right place and avoid redownload.

Modified:
  user/cperciva/freebsd-update-build/scripts/build.subr

Modified: user/cperciva/freebsd-update-build/scripts/build.subr
==============================================================================
--- user/cperciva/freebsd-update-build/scripts/build.subr	Sat May 25 03:18:41 2019	(r348263)
+++ user/cperciva/freebsd-update-build/scripts/build.subr	Sat May 25 04:15:48 2019	(r348264)
@@ -311,7 +311,9 @@ fetchiso () {
 	# for FTP installs.  The FreeBSD 4.7-RELEASE ISO and FTP
 	# files were not identical, but this should never happen
 	# again.
-	fetch -o ${WORKDIR}/iso.img -rR ${ISO} 2>&1
+	if ! [ -f "${WORKDIR}/iso.img" ]; then
+		fetch -o ${WORKDIR}/iso.img -rR ${ISO} 2>&1
+	fi
 
 	log "Verifying dvd1 hash"
 



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201905250415.x4P4FmYX051665>